#
# TODO:
# - compare with php-wbxml.spec
#
%define		php_name	php%{?php_suffix}
%define		modname	wbxml
%define		status	stable
Summary:	WBXML to XML conversion
Summary(pl.UTF-8):	Konwersja WBXML do XML
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.3
Release:	9
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	9c6a4d347f9a2b4002ea0c83e4b14082
Patch0:		wbxml-1.0.2-format_not_a_string_literal_and_no_format_arguments.diff
Patch1:		wbxml-1.0.3-expat_fix.diff
Patch2:		libwbxml.patch
Patch3:		x32.patch
URL:		http://pecl.php.net/package/wbxml/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	libwbxml-devel >= 0.11
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-wbxml < 1.0.3-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides WBXML (Wireless Binary XML) conversion
capabilities using the libwbxml library.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to udostępnia możliwość konwersji WBXML (Wireless Binary
XML) do XML za pomocą biblioteki libwbxml.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
export CFLAGS="%{rpmcflags} `pkg-config --cflags libwbxml2`"
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README wbxml.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Aug 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-wbxml.git;a=log;h=auto/th/php-pecl-wbxml-1.0.3-9

* Thu Aug 27 2015 Jan Rękorajski <baggins@pld-linux.org> e9471ae
- updated libwbxml BR

* Thu Aug 27 2015 Jan Rękorajski <baggins@pld-linux.org> 17938b0
- fix build on x32

* Thu Aug 27 2015 Jan Rękorajski <baggins@pld-linux.org> f23d226
- fix building with latest libwbxml2
- rel 9

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> f2e494d
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 69ff9ac
- php 5.5 rebuild
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 3deef4c
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 0796c98
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> e9a3ed8
- release 5 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 80e3656
- release 4

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 90a8ee7
- fixes from mandriva; rel 3

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> af1034a
- unify, libwbxml-devel

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> a9b28ce
- release 2

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> f2b3f74
- up to 1.0.3

* Fri Feb 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 125b6ea
- updated to 1.0.2

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 6e9ef9b
- new

